SCAPHANDRE(1)

NAME
scaphandre - Extensible metrology agent for electricity consumption related metrics

SYNOPSIS
scaphandre [OPTIONS] <COMMAND>

DESCRIPTION
Extensible metrology agent for electricity consumption related metrics

  Commands:

stdout
    Write the metrics to the terminal

json
    Write the metrics in the JSON format to a file or to stdout

prometheus
    Expose the metrics to a Prometheus HTTP endpoint

qemu
    Watch all Qemu-KVM virtual machines running on the host and expose the metrics of each of them in a dedicated folder

prometheus-push
    Push metrics to Prometheus Push Gateway

help
    Print this message or the help of the given subcommand(s)

OPTIONS

-v...

    Increase the verbosity level

--no-header

    Don't print the header to the standard output

--vm

    Tell Scaphandre that it's running in a virtual machine. You should have another instance of Scaphandre running on the hypervisor (see docs)

-s, --sensor <SENSOR>

    The sensor module to use to gather the energy consumption metrics

--sensor-buffer-per-domain-max-kb <SENSOR_BUFFER_PER_DOMAIN_MAX_KB>

    Maximum memory size allowed, in KiloBytes, for storing energy consumption of each **domain**. Only available for the RAPL sensor (on Linux) [default: 1]

--sensor-buffer-per-socket-max-kb <SENSOR_BUFFER_PER_SOCKET_MAX_KB>

    Maximum memory size allowed, in KiloBytes, for storing energy consumption of each **socket**. Only available for the RAPL sensor (on Linux) [default: 1]

-h, --help

    Print help

-V, --version

    Print version